| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
QoreExternalConstant Class Reference

external wrapper class for constants More...

`#include <QoreReflection.h>`

## Public Member Functions
DLLEXPORT ClassAccess | getAccess () const
| returns the access info for the constant
DLLEXPORT const char * | getModuleName () const
| returns the module name, if any, otherwise returns nullptr More...
DLLEXPORT const char * | getName () const
| returns the constant name
DLLEXPORT QoreValue | getReferencedValue () const
| returns the value of the constant; caller owns any reference returned
DLLEXPORT const QoreExternalProgramLocation * | getSourceLocation () const
| returns the source code location of the constant's definition
DLLEXPORT const QoreTypeInfo * | getTypeInfo () const
| returns the type info for the constant
DLLEXPORT bool | isBuiltin () const
| returns true if the constant is builtin
DLLEXPORT bool | isModulePublic () const
| returns true if the constant has the module public flag set

## Detailed Description

external wrapper class for constants

Since
  Qore 0.9

## Member Function Documentation

## ◆ getModuleName()

DLLEXPORT const char* QoreExternalConstant::getModuleName | ( |  | ) | const

returns the module name, if any, otherwise returns nullptr

Since
  Qore 0.9.5

The documentation for this class was generated from the following file:

- include/qore/QoreReflection.h